package net.letime.lecjoa.util;

import java.lang.System;

@kotlin.Metadata(mv = {1, 1, 10}, bv = {1, 0, 2}, k = 1, d1 = {"\u0000\u001c\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\b\b\u0002\u0018\u00002\u00020\u0001B\u0005\u00a2\u0006\u0002\u0010\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u0086.\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001a\u0010\u000f\u001a\u00020\u0004X\u0086\u000e\u00a2\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0006\"\u0004\b\u0011\u0010\b\u00a8\u0006\u0012"}, d2 = {"Lnet/letime/lecjoa/util/FindCharsResult;", "", "()V", "end", "", "getEnd", "()I", "setEnd", "(I)V", "matchType", "Lnet/letime/lecjoa/util/FoundMatchType;", "getMatchType", "()Lnet/letime/lecjoa/util/FoundMatchType;", "setMatchType", "(Lnet/letime/lecjoa/util/FoundMatchType;)V", "start", "getStart", "setStart", "app_debug"})
final class FindCharsResult {
    @org.jetbrains.annotations.NotNull()
    public net.letime.lecjoa.util.FoundMatchType matchType;
    private int start;
    private int end;
    
    @org.jetbrains.annotations.NotNull()
    public final net.letime.lecjoa.util.FoundMatchType getMatchType() {
        return null;
    }
    
    public final void setMatchType(@org.jetbrains.annotations.NotNull()
    net.letime.lecjoa.util.FoundMatchType p0) {
    }
    
    public final int getStart() {
        return 0;
    }
    
    public final void setStart(int p0) {
    }
    
    public final int getEnd() {
        return 0;
    }
    
    public final void setEnd(int p0) {
    }
    
    public FindCharsResult() {
        super();
    }
}